﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Web.Mvc;

namespace MvcConf2011.Areas.NonClassModels
{
    public class DictionaryValidationPropertyInfo : DictionaryPropertyInfo<DictionaryValidationTypeInfo>
    {
        public DictionaryValidationPropertyInfo(DictionaryValidationTypeInfo typeInfo, string propertyName)
            : base(typeInfo, propertyName)
        {
            Validators = new Collection<Func<ModelMetadata, ControllerContext, ModelValidator>>();
        }

        public ICollection<Func<ModelMetadata, ControllerContext, ModelValidator>> Validators { get; private set; }
    }
}