﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Web.Mvc;

namespace MvcConf2011.Areas.NonClassModels
{
    public class DictionaryValidationTypeInfo : DictionaryTypeInfo<DictionaryValidationPropertyInfo>
    {
        public DictionaryValidationTypeInfo(Type dictionaryType)
            : base(dictionaryType)
        {
            Validators = new Collection<Func<ModelMetadata, ControllerContext, ModelValidator>>();
        }

        public ICollection<Func<ModelMetadata, ControllerContext, ModelValidator>> Validators { get; private set; }

        protected override DictionaryValidationPropertyInfo CreatePropertyInfo(string propertyName)
        {
            return new DictionaryValidationPropertyInfo(this, propertyName);
        }
    }
}